%define name publib-devel
%define version 0.31
%define release 3mdk

Summary: C function library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: publib-%{version}.tar.bz2
Copyright: Public Domain
Group: Development/C
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Publib is a library of C functions for various purposes. It has
been written so that it is easy to extend. It's build tools can
easily be used for other libraries, but that isn't relevant for
the Debian pre-packaged version.

The library contains functions for memory allocation, bit arrays,
configuration files, comparing standard C types for qsort and
bsearch, error messages, expression parsing and evaluation,
filenames, hash tables, integer sets, log files, the Linux Software
Map, NNTP, priority queues, normal queues, editor buffers, stacks,
and strings.

%prep
%setup -n publib-%{version}

%build
mkdir debian/objs
cd debian/objs
cp ../Default.config .
../../framework/configure
make

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_includedir}
install -d $RPM_BUILD_ROOT%{_libdir}
install -d $RPM_BUILD_ROOT%{_mandir} 
install -d $RPM_BUILD_ROOT%{_mandir}/man3
cd debian/objs && %makeinstall --no-print-dir man3ext=3pub prefix=$RPM_BUILD_ROOT%{prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%{_includedir}/*
%{_libdir}/lib*.a
%doc %{_mandir}/man3/*
%doc debian/copyright
%doc debian/changelog
%doc framework/README
%doc framework/Blurb

%changelog
* Thu Dec  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.31-3mdk
- correct dir permissions.

* Mon Sep 25 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.31-2mdk
- BM + macro's

* Fri Jul  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.31-1mdk
- first Mandrake version.

# end of file
